> For the complete documentation index, see [llms.txt](https://docs.toolkit.equs.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toolkit.equs.ai/api/web-wallet-api/agents.md).

# Agents

## GET /api/v1/agents

>

```json
{"openapi":"3.0.0","info":{"title":"EqusDTK Web Custodial Wallet Documentation","version":"0.1.2"},"tags":[{"name":"Agents","description":""}],"security":[{"user":[]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Holder user. `users` realm token with `principal_type=user`. Authorize one bearer scheme at a time."}},"schemas":{"GetAgentsResponse":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Agent"}},"pagination":{"$ref":"#/components/schemas/PaginationData"}},"required":["items","pagination"]},"Agent":{"type":"object","properties":{"id":{"type":"string","description":"Agent unique ID"},"name":{"type":"string","description":"Display name of the agent."}},"required":["id","name"]},"PaginationData":{"type":"object","properties":{"page":{"type":"number"},"limit":{"type":"number"}},"required":["page","limit"]}}},"paths":{"/api/v1/agents":{"get":{"operationId":"AgentsController_list_api/v1","parameters":[{"name":"page","required":false,"in":"query","schema":{"default":1,"type":"number"}},{"name":"limit","required":false,"in":"query","schema":{"default":10,"type":"number"}}],"responses":{"200":{"description":"When agents are retrieved successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAgentsResponse"}}}}},"tags":["Agents"]}}}}
```

## POST /api/v1/agents

>

```json
{"openapi":"3.0.0","info":{"title":"EqusDTK Web Custodial Wallet Documentation","version":"0.1.2"},"tags":[{"name":"Agents","description":""}],"security":[{"user":[]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Holder user. `users` realm token with `principal_type=user`. Authorize one bearer scheme at a time."}},"schemas":{"CreateAgentRequest":{"type":"object","properties":{"name":{"type":"string","description":"Display name of the agent."}},"required":["name"]},"CreateAgentResponse":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Resource unique ID"}},"required":["id"]}}},"paths":{"/api/v1/agents":{"post":{"operationId":"AgentsController_create_api/v1","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAgentRequest"}}}},"responses":{"201":{"description":"When the agent is created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAgentResponse"}}}},"409":{"description":"When the generated agent ID collides with an existing holder identity (`agent_already_exists`), or the user already has an agent with the given name (`agent_name_already_exists`)."}},"tags":["Agents"]}}}}
```

## PUT /api/v1/agents/{agentId}

>

```json
{"openapi":"3.0.0","info":{"title":"EqusDTK Web Custodial Wallet Documentation","version":"0.1.2"},"tags":[{"name":"Agents","description":""}],"security":[{"user":[]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Holder user. `users` realm token with `principal_type=user`. Authorize one bearer scheme at a time."}},"schemas":{"UpdateAgentRequest":{"type":"object","properties":{"name":{"type":"string","description":"New display name of the agent."}},"required":["name"]},"UpdateAgentResponse":{"type":"object","properties":{"id":{"type":"string","description":"Agent unique ID"},"name":{"type":"string","description":"Display name of the agent."}},"required":["id","name"]}}},"paths":{"/api/v1/agents/{agentId}":{"put":{"operationId":"AgentsController_update_api/v1","parameters":[{"name":"agentId","required":true,"in":"path","description":"Agent unique ID","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAgentRequest"}}}},"responses":{"200":{"description":"When the agent is updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAgentResponse"}}}},"404":{"description":"When the agent is not found."}},"tags":["Agents"]}}}}
```

## DELETE /api/v1/agents/{agentId}

>

```json
{"openapi":"3.0.0","info":{"title":"EqusDTK Web Custodial Wallet Documentation","version":"0.1.2"},"tags":[{"name":"Agents","description":""}],"security":[{"user":[]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Holder user. `users` realm token with `principal_type=user`. Authorize one bearer scheme at a time."}}},"paths":{"/api/v1/agents/{agentId}":{"delete":{"operationId":"AgentsController_remove_api/v1","parameters":[{"name":"agentId","required":true,"in":"path","description":"Agent unique ID","schema":{"type":"string"}}],"responses":{"204":{"description":"When the agent is deleted successfully."},"404":{"description":"When the agent is not found."}},"tags":["Agents"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.toolkit.equs.ai/api/web-wallet-api/agents.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
